%global momorel 1
%define pkgname xinput
Summary: X.Org X11 %{pkgname}
Name: xorg-x11-%{pkgname}
Version: 1.4.2
Release: %{momorel}m%{?dist}
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%global xorgurl http://xorg.freedesktop.org/releases/individual
Source0: %{xorgurl}/app/%{pkgname}-%{version}.tar.bz2 
NoSource: 0
BuildRequires: pkgconfig
BuildRequires: libXt-devel

%description
%{pkgname}

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/xinput
%{_mandir}/man1/xinput.1.bz2

%changelog
* Thu Jun 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.2-1m)
- Initial Commit Momonga Linux

